local pack_data = {
	halo_infinite_hit = {
		name = "Halo Infinite (Hit)", --2lazy2localize
		parts = {
			{
				texture_path = "assets/halo_infinite_hitmarker_arrow", --same asset file as in halo crosshairs pack 1
				w = 3,
				h = 14,
				angle = -45,
				distance = 32,
				alpha = 0
			},
			{
				texture_path = "assets/halo_infinite_hitmarker_arrow",
				w = 3,
				h = 14,
				angle = 45,
				distance = 32,
				alpha = 0
			},
			{
				texture_path = "assets/halo_infinite_hitmarker_arrow",
				w = 3,
				h = 14,
				angle = 135,
				distance = 32,
				alpha = 0
			},
			{
				texture_path = "assets/halo_infinite_hitmarker_arrow",
				w = 3,
				h = 14,
				angle = -135,
				distance = 32,
				alpha = 0
			}
		},
		hit_func = function(index,bitmap,data,t,dt,start_t,duration)
			local part_data = data.hitmarker_data.parts[index]
			local scale = data.scale or 1
			local angle = part_data.angle or 0
			local distance = part_data.distance or 0
			distance = distance * scale
			local w = part_data.w * scale
			local h = part_data.h * scale
			local lerp3 = (t - start_t) / duration
			local lerp = math.max(math.bezier({
				0,
				0,
				1,
				1
			}, lerp3),0)
			local c_x = data.panel:w() / 2
			local c_y = data.panel:h() / 2
			
			local h2 = h * math.max(1 - lerp,0.25)
			distance = distance + (h2 / 2)
			bitmap:set_alpha(1 - lerp)
			bitmap:set_size(w,h2)
			bitmap:set_center(c_x + math.sin(angle) * distance,c_y - (math.cos(angle) * distance))
		end
	},
	halo_infinite_kill = {
		name = "Halo Infinite (Kill)",
		parts = {
			{
				texture_path = "assets/halo_infinite_killmarker_x",
				w = 16,
				h = 16
			},
			{
				texture_path = "assets/halo_infinite_killmarker_x",
				w = 48,
				h = 48
			},
			{
				texture_path = "assets/halo_infinite_hitmarker_arrow", --same asset file as in halo crosshairs pack 1
				w = 2,
				h = 32,
				angle = -45,
				distance = 48
			},
			{
				texture_path = "assets/halo_infinite_hitmarker_arrow",
				w = 2,
				h = 32,
				angle = 45,
				distance = 48
			},
			{
				texture_path = "assets/halo_infinite_hitmarker_arrow",
				w = 2,
				h = 32,
				angle = 135,
				distance = 48
			},
			{
				texture_path = "assets/halo_infinite_hitmarker_arrow",
				w = 2,
				h = 32,
				angle = -135,
				distance = 48
			}
		},
		hit_func = function(index,bitmap,data,t,dt,start_t,duration)
			local part_data = data.hitmarker_data.parts[index]
			local scale = data.scale or 1
			local angle = part_data.angle or 0
			local distance = part_data.distance or 0
			distance = distance * scale
			local w = part_data.w * scale
			local h = part_data.h * scale
			local lerp1 = (t - start_t) / duration
			local lerp = math.bezier({
				0,
				0,
				1,
				1
			}, lerp1)
			local c_x = data.panel:w() / 2
			local c_y = data.panel:h() / 2
			if index == 1 then 
				local lerp2 = lerp + 1
				local w2 = w * lerp2
				local h2 = h * lerp2
				bitmap:set_size(w2,h2)
				bitmap:set_alpha(1 - lerp)
			elseif index == 2 then 
				bitmap:set_alpha(1 - lerp)
			else
				local lerp3 = math.clamp(1 - (lerp * 3),0,1)
				distance = distance * math.max(lerp3,0.25)
				local h2 = h * math.max(lerp3,0.5)
				local lerp2 = 1 - lerp
				bitmap:set_alpha(lerp2)
				bitmap:set_size(w,h2)
			end
			bitmap:set_center(c_x + math.sin(angle) * distance,c_y - (math.cos(angle) * distance))
		end
	}
}
return true,pack_data